List a company's documents
curl --request GET \
--url https://api.clemta.com/v1/companies/{companyID}/files \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clemta.com/v1/companies/{companyID}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clemta.com/v1/companies/{companyID}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clemta.com/v1/companies/{companyID}/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"items": [
{
"object": "file",
"id": "file_0346sFPEvSkJvY8vt14NNw",
"name": "Articles_of_Incorporation.pdf",
"livemode": true,
"created_at": "2023-11-07T05:31:56Z",
"company": "<string>",
"content_type": "application/pdf",
"size": 123,
"purpose": "identity_document",
"source": "operations",
"kind": "ein_letter",
"service_order": "so_0346sFPEvSkJvY8vt14NNw",
"url": "<string>",
"consumed": true
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}List a company's documents
Every document Clemta has published on the company, newest first - formation deliverables, filed forms, letters. file.created announces each new one.
GET
/
companies
/
{companyID}
/
files
List a company's documents
curl --request GET \
--url https://api.clemta.com/v1/companies/{companyID}/files \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clemta.com/v1/companies/{companyID}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clemta.com/v1/companies/{companyID}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clemta.com/v1/companies/{companyID}/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"items": [
{
"object": "file",
"id": "file_0346sFPEvSkJvY8vt14NNw",
"name": "Articles_of_Incorporation.pdf",
"livemode": true,
"created_at": "2023-11-07T05:31:56Z",
"company": "<string>",
"content_type": "application/pdf",
"size": 123,
"purpose": "identity_document",
"source": "operations",
"kind": "ein_letter",
"service_order": "so_0346sFPEvSkJvY8vt14NNw",
"url": "<string>",
"consumed": true
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}Authorizations
Your API key, e.g. Authorization: Bearer clmt_test_. Live keys use the clmt_live_ prefix.
Path Parameters
ID of the company.
Pattern:
^cmp_[0-9A-Za-z]{22}$⌘I